;******************************************************************************
;* TMS320C6x C/C++ Codegen                                        Unix v7.4.5 *
;* Date/Time created: Fri Nov  1 23:08:37 2013                                *
;******************************************************************************
	.compiler_opts --abi=coffabi --c64p_l1d_workaround=default --endian=little --hll_source=on --long_precision_bits=40 --mem_model:code=near --mem_model:const=data --mem_model:data=far_aggregates --object_format=coff --silicon_version=6500 --symdebug:none 

;******************************************************************************
;* GLOBAL FILE PARAMETERS                                                     *
;*                                                                            *
;*   Architecture      : TMS320C64x+                                          *
;*   Optimization      : Enabled at level 2                                   *
;*   Optimizing for    : Speed 1st, size 2nd                                  *
;*                       Based on options: -o2, -ms0                          *
;*   Endian            : Little                                               *
;*   Interrupt Thrshld : Disabled                                             *
;*   Data Access Model : Far Aggregate Data                                   *
;*   Pipelining        : Enabled                                              *
;*   Speculate Loads   : Enabled with threshold = 0                           *
;*   Memory Aliases    : Presume are aliases (pessimistic)                    *
;*   Debug Info        : No Debug Info                                        *
;*                                                                            *
;******************************************************************************

	.asg	A15, FP
	.asg	B14, DP
	.asg	B15, SP
	.global	$bss

;	opt6x /tmp/27525yIRsNa /tmp/27525QzCR3b 
	.sect	".text"
	.clink
	.global	_int_map_event_to_vector

;******************************************************************************
;* FUNCTION NAME: int_map_event_to_vector                                     *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,B0,B1,B3                              *
;*   Regs Used         : A0,A1,A2,A3,A4,B0,B1,B3,B4                           *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_int_map_event_to_vector:
;** --------------------------------------------------------------------------*
;** 51	-----------------------    if ( _vectorNr < 8u ) goto g7;

           CMPLTU  .L1X    B4,8,A0           ; |51| 
||         MVKL    .S1     0x1800104,A1
||         MV      .D1     A4,A3             ; |43| 
||         CMPLTU  .L2     B4,12,B0          ; |58| 

   [ A0]   BNOP    .S2     $C$L1,4           ; |51| 
||         MVKH    .S1     0x1800104,A1
|| [!A0]   CMPLTU  .L2     B4,16,B1          ; |64| 
||         MV      .L1X    B3,A2             ; |43| 
||         SUB     .D2     B4,4,B3           ; |54| 

   [!A0]   ADD     .L1     4,A1,A1
           ; BRANCHCC OCCURS {$C$L1}         ; |51| 
;** --------------------------------------------------------------------------*
;** 58	-----------------------    if ( _vectorNr < 12u ) goto g6;
;** 64	-----------------------    if ( _vectorNr < 16u ) goto g5;
;** 73	-----------------------    reg = 0u;
;** 73	-----------------------    goto g8;
;**	-----------------------g5:
;** 67	-----------------------    bitoff = _vectorNr-12u;
;** 68	-----------------------    reg = 0x180010cu;
;** 69	-----------------------    goto g8;
;**	-----------------------g6:
;** 61	-----------------------    bitoff = _vectorNr-8u;
;** 62	-----------------------    reg = 0x1800108u;
;** 63	-----------------------    goto g8;
;**	-----------------------g7:
;** 54	-----------------------    bitoff = _vectorNr-4u;
;** 55	-----------------------    reg = 0x1800104u;

   [ B0]   ZERO    .L2     B1
|| [!B0]   ZERO    .L1     A1                ; |73| 
||         SUB     .S2     B4,8,B3           ; |61| 

   [ B1]   MVKL    .S1     0x180010c,A1
|| [!B0]   SUB     .L2     B4,12,B3          ; |67| 

   [ B1]   MVKH    .S1     0x180010c,A1
;** --------------------------------------------------------------------------*
$C$L1:    
;**	-----------------------g8:
;** 76	-----------------------    if ( !reg ) goto g10;
;** 79	-----------------------    bitoff <<= 8;
;** 82	-----------------------    *(volatile unsigned *)reg = *(volatile unsigned *)reg&~(255u<<bitoff)|_extu(_eventId, 25u, 25u)<<bitoff;
;**	-----------------------g10:
;**  	-----------------------    return;

   [ A1]   LDW     .D1T1   *A1,A4            ; |82| 
||         MVK     .S1     255,A0            ; |82| 

           SHL     .S2     B3,8,B0           ; |79| 
           SHL     .S2X    A0,B0,B1          ; |82| 
           RET     .S2X    A2                ; |87| 
           EXTU    .S1     A3,25,25,A0
   [ A1]   ANDN    .L1X    A4,B1,A3          ; |82| 
           SHL     .S2X    A0,B0,B0          ; |82| 
   [ A1]   OR      .L2X    B0,A3,B0          ; |82| 
   [ A1]   STW     .D1T2   B0,*A1            ; |82| 
           ; BRANCH OCCURS {A2}              ; |87| 
	.sect	".text"
	.clink
	.global	_int_event_enable

;******************************************************************************
;* FUNCTION NAME: int_event_enable                                            *
;*                                                                            *
;*   Regs Modified     : A0,A1,B0,B4                                          *
;*   Regs Used         : A0,A1,A4,B0,B3,B4                                    *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_int_event_enable:
;** --------------------------------------------------------------------------*
;** 96	-----------------------    C$1 = (_eventId>>3&0xfffffffcu)+0x1800080u;
;** 96	-----------------------    *(volatile unsigned *)C$1 = *(volatile unsigned *)C$1&~(1u<<(_eventId&0x1fu));
;**  	-----------------------    return;
           SHRU    .S1     A4,3,A0           ; |96| 

           AND     .L1     -4,A0,A0          ; |96| 
||         MVKL    .S2     0x1800080,B0

           MVKH    .S2     0x1800080,B0
           ADD     .L2X    B0,A0,B4          ; |96| 
           LDW     .D2T2   *B4,B0            ; |96| 
           RET     .S2     B3                ; |97| 

           MVK     .L1     1,A0              ; |96| 
||         EXTU    .S1     A4,27,27,A1

           SHL     .S1     A0,A1,A0          ; |96| 
           NOP             1
           ANDN    .L2X    B0,A0,B0          ; |96| 
           STW     .D2T2   B0,*B4            ; |96| 
           ; BRANCH OCCURS {B3}              ; |97| 
	.sect	".text"
	.clink
	.global	_int_event_disable

;******************************************************************************
;* FUNCTION NAME: int_event_disable                                           *
;*                                                                            *
;*   Regs Modified     : A0,A1,B0,B4                                          *
;*   Regs Used         : A0,A1,A4,B0,B3,B4                                    *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_int_event_disable:
;** --------------------------------------------------------------------------*
;** 106	-----------------------    C$1 = (_eventId>>3&0xfffffffcu)+0x1800080u;
;** 106	-----------------------    *(volatile unsigned *)C$1 = *(volatile unsigned *)C$1|1u<<(_eventId&0x1fu);
;**  	-----------------------    return;
           SHRU    .S1     A4,3,A0           ; |106| 

           AND     .L1     -4,A0,A0          ; |106| 
||         MVKL    .S2     0x1800080,B0

           MVKH    .S2     0x1800080,B0
           ADD     .L2X    B0,A0,B4          ; |106| 
           LDW     .D2T2   *B4,B0            ; |106| 
           RET     .S2     B3                ; |107| 

           MVK     .L1     1,A0              ; |106| 
||         EXTU    .S1     A4,27,27,A1

           SHL     .S1     A0,A1,A0          ; |106| 
           NOP             1
           OR      .L2X    A0,B0,B0          ; |106| 
           STW     .D2T2   B0,*B4            ; |106| 
           ; BRANCH OCCURS {B3}              ; |107| 
	.sect	".text"
	.clink
	.global	_int_event_clear

;******************************************************************************
;* FUNCTION NAME: int_event_clear                                             *
;*                                                                            *
;*   Regs Modified     : A0,A1,B4,B5                                          *
;*   Regs Used         : A0,A1,A4,B3,B4,B5                                    *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
_int_event_clear:
;** --------------------------------------------------------------------------*
;** 116	-----------------------    *((volatile unsigned *)((_eventId>>3>>2)*4u)+0x1800040u) = 1u<<(_eventId&0x1fu);
;**  	-----------------------    return;
           RETNOP  .S2     B3,1              ; |117| 
           MVKL    .S2     0x1800040,B5

           EXTU    .S1     A4,27,27,A1
||         MVK     .L1     1,A0              ; |116| 
||         SHRU    .S2X    A4,5,B4           ; |116| 

           SHL     .S1     A0,A1,A0          ; |116| 
||         MVKH    .S2     0x1800040,B5

           STW     .D2T1   A0,*+B5[B4]       ; |116| 
           ; BRANCH OCCURS {B3}              ; |117| 

;******************************************************************************
;* BUILD ATTRIBUTES                                                           *
;******************************************************************************
	.battr "TI", Tag_File, 1, Tag_ABI_stack_align_needed(0)
	.battr "TI", Tag_File, 1, Tag_ABI_stack_align_preserved(0)
	.battr "TI", Tag_File, 1, Tag_Tramps_Use_SOC(1)
